# List all payment methods Retrieve all payment methods that Mollie offers, regardless of the eligibility of the organization for the specific method. The results of this endpoint are **not** paginated — unlike most other list endpoints in our API. The list can optionally be filtered using a number of parameters described below. ℹ️ **Note:** This endpoint only returns **online** payment methods. If you wish to retrieve the information about a non-online payment method, you can use the [Get payment method endpoint](get-method). > 🔑 Access with > > [API key](/reference/authentication) > > [Organization access token with **payments.read**](/reference/authentication) > > [OAuth access with **payments.read**](/reference/authentication) # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Accepting payments", "version": "1.0.0", "license": { "name": "Attribution-NonCommercial-ShareAlike 4.0 International", "identifier": "CC-BY-NC-SA-4.0" } }, "servers": [ { "url": "https://api.mollie.com/v2" } ], "security": [ { "apiKey": [] }, { "organizationAccessToken": [] }, { "oAuth": [] } ], "paths": { "/methods/all": { "get": { "summary": "List all payment methods", "x-speakeasy-name-override": "all", "tags": [ "Methods API" ], "operationId": "list-all-methods", "security": [ { "apiKey": [] }, { "organizationAccessToken": [ "payments.read" ] }, { "oAuth": [ "payments.read" ] } ], "description": "Retrieve all payment methods that Mollie offers, regardless of the eligibility of the organization for the specific method. The results of this endpoint are **not** paginated — unlike most other list endpoints in our API.\n\nThe list can optionally be filtered using a number of parameters described below.\n\nℹ️ **Note:** This endpoint only returns **online** payment methods. If you wish to retrieve the information about a non-online payment method, you can use the [Get payment method endpoint](get-method).\n\n> 🔑 Access with\n>\n> [API key](/reference/authentication)\n>\n> [Organization access token with **payments.read**](/reference/authentication)\n>\n> [OAuth access with **payments.read**](/reference/authentication)", "parameters": [ { "description": "Passing a locale will sort the payment methods in the preferred order for the country, and translate the payment method names in the corresponding language.", "name": "locale", "in": "query", "schema": { "type": "string", "description": "Allows you to preset the language to be used.\n\nPossible values: `en_US` `en_GB` `nl_NL` `nl_BE` `de_DE` `de_AT` `de_CH` `fr_FR` `fr_BE` `es_ES` `ca_ES` `pt_PT` `it_IT` `nb_NO` `sv_SE` `fi_FI` `da_DK` `is_IS` `hu_HU` `pl_PL` `lv_LV` `lt_LT` `null`", "example": "en_US" } }, { "name": "amount", "description": "If supplied, only payment methods that support the amount and currency are returned.\n\nExample: `/v2/methods/all?amount[value]=100.00&amount[currency]=USD`", "in": "query", "style": "deepObject", "explode": true, "schema": { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } }, { "description": "This endpoint allows you to include additional information via the `include` query string parameter.", "schema": { "type": [ "string", "null" ], "enum": [ "issuers", "pricing" ], "x-enumDescriptions": { "issuers": "Include issuer details such as which iDEAL or gift card issuers are available.", "pricing": "Include pricing for each payment method." }, "example": "issuers" }, "name": "include", "in": "query" }, { "name": "sequenceType", "description": "Set this parameter to `first` to only return the methods that can be used for the first payment of a recurring sequence.\n\nSet it to `recurring` to only return methods that can be used for recurring payments or subscriptions.\n\nPossible values: `oneoff` `first` `recurring`", "in": "query", "schema": { "type": "string", "example": "oneoff" } }, { "name": "profileId", "description": "The identifier referring to the [profile](get-profile) you wish to retrieve the resources for.\n\nMost API credentials are linked to a single profile. In these cases the `profileId` must not be sent. For organization-level credentials such as OAuth access tokens however, the `profileId` parameter is required.", "in": "query", "schema": { "type": "string", "pattern": "^pfl_.+$", "example": "pfl_5B8cwPMGnU", "description": "The identifier referring to the [profile](get-profile) this entity belongs to.\n\nMost API credentials are linked to a single profile. In these cases the `profileId` can be omitted in the creation request. For organization-level credentials such as OAuth access tokens however, the `profileId` parameter is required." } }, { "name": "testmode", "description": "Most API credentials are specifically created for either live mode or test mode. In those cases the `testmode` query parameter must not be sent. For organization-level credentials such as OAuth access tokens, you can enable test mode by setting the `testmode` query parameter to `true`.\n\nTest entities cannot be retrieved when the endpoint is set to live mode, and vice versa.", "in": "query", "schema": { "type": "boolean", "example": false } } ], "responses": { "200": { "description": "A list of payment method objects. For a complete reference of the payment method object, refer to the [Get payment method endpoint](get-method) documentation.", "content": { "application/hal+json": { "schema": { "type": "object", "required": [ "count", "_embedded", "_links" ], "properties": { "count": { "type": "integer", "description": "The number of payment method objects in this result set. Results are **not** paginated.", "example": 5 }, "_embedded": { "type": "object", "required": [ "methods" ], "properties": { "methods": { "description": "An array of payment method objects. For a complete reference of the payment method object, refer to the [Get payment method endpoint](get-method) documentation.", "type": "array", "items": { "allOf": [ { "type": "object", "required": [ "resource", "id", "description", "minimumAmount", "maximumAmount", "image", "status", "_links" ], "properties": { "resource": { "type": "string", "description": "Indicates the response contains a payment method object. Will always contain the string `method` for this endpoint.", "readOnly": true, "example": "method" }, "id": { "allOf": [ { "type": [ "string", "null" ], "description": "Normally, a payment method screen is shown. However, when using this parameter, you can choose a specific payment method and your customer will skip the selection screen and is sent directly to the chosen payment method. The parameter enables you to fully integrate the payment method selection into your website.\n\nYou can also specify the methods in an array. By doing so we will still show the payment method selection screen but will only show the methods specified in the array. For example, you can use this functionality to only show payment methods from a specific country to your customer `['bancontact', 'belfius']`.\n\nPossible values: `alma` `applepay` `bacs` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `blik` `creditcard` `directdebit` `eps` `giftcard` `ideal` `in3` `kbc` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `swish` `trustly` `twint` `vipps` `voucher`", "example": "ideal", "x-deprecated-enum": [ "klarnapaylater", "klarnapaynow", "klarnasliceit", "payconiq" ], "x-speakeasy-enum-descriptions": { "klarnapaylater": "Deprecated, use 'klarna' instead", "klarnapaynow": "Deprecated, use 'klarna' instead", "klarnasliceit": "Deprecated, use 'klarna' instead", "payconiq": "No longer available" } } ], "type": "string", "description": "The unique identifier of the payment method. When used during [payment creation](create-payment), the payment method selection screen will be skipped.", "example": "ideal", "readOnly": true }, "description": { "type": "string", "description": "The full name of the payment method.\n\nIf a `locale` parameter is provided, the name is translated to the given locale if possible.", "example": "iDeal", "readOnly": true }, "minimumAmount": { "allOf": [ { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } ], "description": "The minimum payment amount required to use this payment method.", "readOnly": true }, "maximumAmount": { "allOf": [ { "type": [ "object", "null" ], "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } ], "description": "The maximum payment amount allowed when using this payment method. If there is no method-specific maximum, `null` is returned instead.", "readOnly": true }, "image": { "type": "object", "description": "URLs of images representing the payment method.", "required": [ "size1x", "size2x", "svg" ], "properties": { "size1x": { "type": "string", "description": "The URL pointing to an icon of 32 by 24 pixels.", "example": "https://..." }, "size2x": { "type": "string", "description": "The URL pointing to an icon of 64 by 48 pixels.", "example": "https://..." }, "svg": { "type": "string", "description": "The URL pointing to a vector version of the icon. Usage of this format is preferred, since the icon can scale to any desired size without compromising visual quality.", "example": "https://..." } }, "readOnly": true }, "status": { "type": [ "string", "null" ], "description": "The payment method's activation status for this profile.\n\nPossible values: `activated` `pending-boarding` `pending-review` `pending-external` `rejected` ``", "x-enumDescriptions": { "activated": "The payment method is activated and ready for use.", "pending-boarding": "Mollie is waiting for you to finish onboarding in the Merchant Dashboard before the payment method can be activated.", "pending-review": "Mollie needs to review your request for this payment method before it can be activated.", "pending-external": "Activation of this payment method relies on you taking action with an external party, for example signing up with PayPal or a giftcard issuer.", "rejected": "Your request for this payment method was rejected. Whenever Mollie rejects such a request, you will always be informed via email." }, "example": "activated" }, "issuers": { "type": "array", "description": "**Optional include.** Array of objects for each 'issuer' that is available for this payment method. Only relevant for iDEAL, KBC/CBC, gift cards, and vouchers.", "items": { "type": "object", "required": [ "resource", "id", "name", "image" ], "properties": { "resource": { "type": "string", "default": "issuer" }, "id": { "type": "string", "example": "ideal_ABNANL2A" }, "name": { "type": "string", "description": "The full name of the issuer.", "example": "ING Bank" }, "image": { "type": "object", "description": "URLs of images representing the issuer. required:\n - size1x\n - size2x\n - svg", "properties": { "size1x": { "type": "string", "description": "The URL pointing to an icon of 32 by 24 pixels.", "example": "https://..." }, "size2x": { "type": "string", "description": "The URL pointing to an icon of 64 by 48 pixels.", "example": "https://..." }, "svg": { "type": "string", "description": "The URL pointing to a vector version of the icon. Usage of this format is preferred, since the icon can scale to any desired size without compromising visual quality.", "example": "https://..." } } } }, "readOnly": true } }, "_links": { "type": "object", "description": "An object with several relevant URLs. Every URL object will contain an `href` and a `type` field.", "required": [ "self" ], "properties": { "self": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } }, "readOnly": true } } }, { "type": "object", "properties": { "pricing": { "type": "array", "description": "**Optional include.** Array of objects describing the pricing configuration applicable for this payment method on your account.", "items": { "type": "object", "required": [ "description", "fixed", "variable" ], "properties": { "description": { "type": "string", "description": "A description of what the pricing applies to. For example, a specific country (`The Netherlands`) or a category of cards (`American Express`). If a `locale` is provided, the description may be translated.", "example": "The Netherlands" }, "fixed": { "description": "The fixed price charged per payment.", "type": "object", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "variable": { "type": "string", "description": "The variable price charged per payment, as a percentage string.", "example": 0 }, "feeRegion": { "type": [ "string", "null" ], "description": "Only present for credit card pricing. It will correspond with the `feeRegion` of credit card payments as returned in the [Payments API](get-payment).", "example": "other" } } }, "readOnly": true } } } ] } } } }, "_links": { "type": "object", "required": [ "self", "documentation" ], "properties": { "self": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "documentation": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } } } } }, "examples": { "list-all-methods-200-1": { "summary": "A list of payment method objects", "value": { "count": 2, "_embedded": { "methods": [ { "resource": "method", "id": "ideal", "description": "iDEAL", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "50000.00", "currency": "EUR" }, "image": { "size1x": "https://mollie.com/external/icons/payment-methods/ideal.png", "size2x": "https://mollie.com/external/icons/payment-methods/ideal%402x.png", "svg": "https://mollie.com/external/icons/payment-methods/ideal.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "creditcard", "description": "Credit card", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "2000.00", "currency": "EUR" }, "image": { "size1x": "https://mollie.com/external/icons/payment-methods/creditcard.png", "size2x": "https://mollie.com/external/icons/payment-methods/creditcard%402x.png", "svg": "https://mollie.com/external/icons/payment-methods/creditcard.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } } ] }, "_links": { "self": { "href": "...", "type": "application/hal+json" }, "documentation": { "href": "...", "type": "text/html" } } } }, "list-all-methods-200-2": { "summary": "List available methods for 10 EUR payment in NL", "x-request": "./requests.yaml#/api-list-available-methods-for-10-eur-payment-in-nl", "value": { "_embedded": { "methods": [ { "resource": "method", "id": "applepay", "description": "Apple Pay", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "2000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/applepay.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/applepay%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/applepay.svg" }, "status": "pending-review", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "ideal", "description": "iDEAL", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "50000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/ideal.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/ideal%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/ideal.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "creditcard", "description": "Credit card", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "2000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/creditcard.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/creditcard%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/creditcard.svg" }, "status": "pending-review", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "paypal", "description": "PayPal", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": null, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/paypal.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/paypal%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/paypal.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "banktransfer", "description": "Bank transfer", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "1000000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/banktransfer.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/banktransfer%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/banktransfer.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "giftcard", "description": "Gift cards", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": null, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/giftcard.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/giftcard%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/giftcard.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "bancontact", "description": "Bancontact", "minimumAmount": { "value": "0.02", "currency": "EUR" }, "maximumAmount": { "value": "50000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/bancontact.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/bancontact%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/bancontact.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "eps", "description": "eps", "minimumAmount": { "value": "1.00", "currency": "EUR" }, "maximumAmount": { "value": "50000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/eps.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/eps%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/eps.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "przelewy24", "description": "Przelewy24", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "12815.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/przelewy24.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/przelewy24%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/przelewy24.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "kbc", "description": "KBC/CBC Payment Button", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "50000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/kbc.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/kbc%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/kbc.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "belfius", "description": "Belfius Pay Button", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "50000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/belfius.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/belfius%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/belfius.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "voucher", "description": "Vouchers", "minimumAmount": { "value": "1.00", "currency": "EUR" }, "maximumAmount": { "value": "100000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/voucher.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/voucher%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/voucher.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "directdebit", "description": "SEPA Direct Debit", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "1000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/directdebit.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/directdebit%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/directdebit.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } } ] }, "count": 15, "_links": { "documentation": { "href": "...", "type": "text/html" }, "self": { "href": "...", "type": "application/hal+json" } } } }, "list-all-methods-200-3": { "summary": "List available methods for 100 EUR payment in NL with issuers", "x-request": "./requests.yaml#/api-list-available-methods-for-100-eur-payment-in-nl-with-issuers", "value": { "_embedded": { "methods": [ { "resource": "method", "id": "applepay", "description": "Apple Pay", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "2000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/applepay.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/applepay%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/applepay.svg" }, "status": "pending-review", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "ideal", "description": "iDEAL", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "50000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/ideal.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/ideal%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/ideal.svg" }, "status": "activated", "issuers": [ { "resource": "issuer", "id": "ideal_ABNANL2A", "name": "ABN AMRO", "image": { "size1x": "https://www.mollie.com/external/icons/ideal-issuers/ABNANL2A.png", "size2x": "https://www.mollie.com/external/icons/ideal-issuers/ABNANL2A%402x.png", "svg": "https://www.mollie.com/external/icons/ideal-issuers/ABNANL2A.svg" } }, { "resource": "issuer", "id": "ideal_INGBNL2A", "name": "ING", "image": { "size1x": "https://www.mollie.com/external/icons/ideal-issuers/INGBNL2A.png", "size2x": "https://www.mollie.com/external/icons/ideal-issuers/INGBNL2A%402x.png", "svg": "https://www.mollie.com/external/icons/ideal-issuers/INGBNL2A.svg" } }, { "resource": "issuer", "id": "ideal_RABONL2U", "name": "Rabobank", "image": { "size1x": "https://www.mollie.com/external/icons/ideal-issuers/RABONL2U.png", "size2x": "https://www.mollie.com/external/icons/ideal-issuers/RABONL2U%402x.png", "svg": "https://www.mollie.com/external/icons/ideal-issuers/RABONL2U.svg" } }, { "resource": "issuer", "id": "ideal_ASNBNL21", "name": "ASN Bank", "image": { "size1x": "https://www.mollie.com/external/icons/ideal-issuers/ASNBNL21.png", "size2x": "https://www.mollie.com/external/icons/ideal-issuers/ASNBNL21%402x.png", "svg": "https://www.mollie.com/external/icons/ideal-issuers/ASNBNL21.svg" } }, { "resource": "issuer", "id": "ideal_BUNQNL2A", "name": "bunq", "image": { "size1x": "https://www.mollie.com/external/icons/ideal-issuers/BUNQNL2A.png", "size2x": "https://www.mollie.com/external/icons/ideal-issuers/BUNQNL2A%402x.png", "svg": "https://www.mollie.com/external/icons/ideal-issuers/BUNQNL2A.svg" } }, { "resource": "issuer", "id": "ideal_HANDNL2A", "name": "Handelsbanken", "image": { "size1x": "https://www.mollie.com/external/icons/ideal-issuers/HANDNL2A.png", "size2x": "https://www.mollie.com/external/icons/ideal-issuers/HANDNL2A%402x.png", "svg": "https://www.mollie.com/external/icons/ideal-issuers/HANDNL2A.svg" } }, { "resource": "issuer", "id": "ideal_KNABNL2H", "name": "Knab", "image": { "size1x": "https://www.mollie.com/external/icons/ideal-issuers/KNABNL2H.png", "size2x": "https://www.mollie.com/external/icons/ideal-issuers/KNABNL2H%402x.png", "svg": "https://www.mollie.com/external/icons/ideal-issuers/KNABNL2H.svg" } }, { "resource": "issuer", "id": "ideal_RBRBNL21", "name": "Regiobank", "image": { "size1x": "https://www.mollie.com/external/icons/ideal-issuers/RBRBNL21.png", "size2x": "https://www.mollie.com/external/icons/ideal-issuers/RBRBNL21%402x.png", "svg": "https://www.mollie.com/external/icons/ideal-issuers/RBRBNL21.svg" } }, { "resource": "issuer", "id": "ideal_REVOLT21", "name": "Revolut", "image": { "size1x": "https://www.mollie.com/external/icons/ideal-issuers/REVOLT21.png", "size2x": "https://www.mollie.com/external/icons/ideal-issuers/REVOLT21%402x.png", "svg": "https://www.mollie.com/external/icons/ideal-issuers/REVOLT21.svg" } }, { "resource": "issuer", "id": "ideal_SNSBNL2A", "name": "SNS Bank", "image": { "size1x": "https://www.mollie.com/external/icons/ideal-issuers/SNSBNL2A.png", "size2x": "https://www.mollie.com/external/icons/ideal-issuers/SNSBNL2A%402x.png", "svg": "https://www.mollie.com/external/icons/ideal-issuers/SNSBNL2A.svg" } }, { "resource": "issuer", "id": "ideal_TRIONL2U", "name": "Triodos", "image": { "size1x": "https://www.mollie.com/external/icons/ideal-issuers/TRIONL2U.png", "size2x": "https://www.mollie.com/external/icons/ideal-issuers/TRIONL2U%402x.png", "svg": "https://www.mollie.com/external/icons/ideal-issuers/TRIONL2U.svg" } }, { "resource": "issuer", "id": "ideal_FVLBNL22", "name": "Van Lanschot", "image": { "size1x": "https://www.mollie.com/external/icons/ideal-issuers/FVLBNL22.png", "size2x": "https://www.mollie.com/external/icons/ideal-issuers/FVLBNL22%402x.png", "svg": "https://www.mollie.com/external/icons/ideal-issuers/FVLBNL22.svg" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "creditcard", "description": "Credit card", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "2000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/creditcard.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/creditcard%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/creditcard.svg" }, "status": "pending-review", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "paypal", "description": "PayPal", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": null, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/paypal.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/paypal%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/paypal.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "banktransfer", "description": "Bank transfer", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "1000000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/banktransfer.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/banktransfer%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/banktransfer.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "giftcard", "description": "Gift cards", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": null, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/giftcard.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/giftcard%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/giftcard.svg" }, "status": "activated", "issuers": [ { "resource": "issuer", "id": "beautycadeaukaart", "name": "BeautyCadeau kaart", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/default.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/default%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/default.svg" } }, { "resource": "issuer", "id": "bloemencadeaukaart", "name": "Bloemen Cadeaukaart", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/default.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/default%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/default.svg" } }, { "resource": "issuer", "id": "bloemplantgiftcard", "name": "Bloem&Plant giftcard", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/default.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/default%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/default.svg" } }, { "resource": "issuer", "id": "boekenbon", "name": "Boekenbon", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/default.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/default%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/default.svg" } }, { "resource": "issuer", "id": "decadeaukaart", "name": "DE Cadeaukaart", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/default.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/default%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/default.svg" } }, { "resource": "issuer", "id": "delokalecadeaukaart", "name": "De LOKALE Cadeaukaart", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/default.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/default%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/default.svg" } }, { "resource": "issuer", "id": "dinercadeau", "name": "Diner Cadeau", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/default.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/default%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/default.svg" } }, { "resource": "issuer", "id": "fashioncheque", "name": "fashioncheque", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/fashioncheque.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/fashioncheque%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/fashioncheque.svg" } }, { "resource": "issuer", "id": "festivalcadeau", "name": "FestivalCadeau Giftcard", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/festivalcadeau.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/festivalcadeau%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/festivalcadeau.svg" } }, { "resource": "issuer", "id": "good4fun", "name": "Good4fun", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/default.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/default%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/default.svg" } }, { "resource": "issuer", "id": "huistuincadeaukaart", "name": "Huis & Tuin Cadeau", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/default.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/default%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/default.svg" } }, { "resource": "issuer", "id": "jewelcard", "name": "Jewelcard", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/default.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/default%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/default.svg" } }, { "resource": "issuer", "id": "kluscadeau", "name": "Klus Cadeau", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/default.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/default%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/default.svg" } }, { "resource": "issuer", "id": "kunstencultuurcadeaukaart", "name": "Nationale Kunst & Cultuur Cadeaukaart", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/kunstencultuurcadeaukaart.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/kunstencultuurcadeaukaart%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/kunstencultuurcadeaukaart.svg" } }, { "resource": "issuer", "id": "nationalebioscoopbon", "name": "Nationale Bioscoopbon", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/nationalebioscoopbon.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/nationalebioscoopbon%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/nationalebioscoopbon.svg" } }, { "resource": "issuer", "id": "nationaleentertainmentcard", "name": "Nationale EntertainmentCard", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/nationaleentertainmentcard.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/nationaleentertainmentcard%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/nationaleentertainmentcard.svg" } }, { "resource": "issuer", "id": "nationalegolfbon", "name": "Nationale Golfbon", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/nationalegolfbon.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/nationalegolfbon%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/nationalegolfbon.svg" } }, { "resource": "issuer", "id": "ohmygood", "name": "ohmygood", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/ohmygood.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/ohmygood%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/ohmygood.svg" } }, { "resource": "issuer", "id": "podiumcadeaukaart", "name": "Podium Cadeaukaart", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/podiumcadeaukaart.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/podiumcadeaukaart%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/podiumcadeaukaart.svg" } }, { "resource": "issuer", "id": "reiscadeau", "name": "Reis Cadeau", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/reiscadeau.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/reiscadeau%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/reiscadeau.svg" } }, { "resource": "issuer", "id": "restaurantcadeau", "name": "RestaurantCadeau", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/default.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/default%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/default.svg" } }, { "resource": "issuer", "id": "sodexosportculturepass", "name": "Sodexo - Sport & Culture Pass", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/default.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/default%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/default.svg" } }, { "resource": "issuer", "id": "sportenfitcadeau", "name": "Sport & Fit Cadeau", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/sportenfitcadeau.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/sportenfitcadeau%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/sportenfitcadeau.svg" } }, { "resource": "issuer", "id": "sustainablefashion", "name": "Sustainable Fashion Gift Card", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/sustainablefashion.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/sustainablefashion%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/sustainablefashion.svg" } }, { "resource": "issuer", "id": "travelcheq", "name": "TravelCheq", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/travelcheq.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/travelcheq%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/travelcheq.svg" } }, { "resource": "issuer", "id": "vvvgiftcard", "name": "VVV Cadeaukaart", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/vvvgiftcard.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/vvvgiftcard%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/vvvgiftcard.svg" } }, { "resource": "issuer", "id": "vvvdinercheque", "name": "VVV Dinercheque", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/vvvdinercheque.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/vvvdinercheque%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/vvvdinercheque.svg" } }, { "resource": "issuer", "id": "vvvlekkerweg", "name": "VVV Lekkerweg", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/vvvlekkerweg.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/vvvlekkerweg%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/vvvlekkerweg.svg" } }, { "resource": "issuer", "id": "webshopgiftcard", "name": "Webshop Giftcard", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/webshopgiftcard.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/webshopgiftcard%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/webshopgiftcard.svg" } }, { "resource": "issuer", "id": "wijncadeaukaart", "name": "Wijn Cadeaukaart", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/default.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/default%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/default.svg" } }, { "resource": "issuer", "id": "yourgift", "name": "YourGift", "image": { "size1x": "https://www.mollie.com/external/icons/giftcard-issuers/yourgift.png", "size2x": "https://www.mollie.com/external/icons/giftcard-issuers/yourgift%402x.png", "svg": "https://www.mollie.com/external/icons/giftcard-issuers/yourgift.svg" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "bancontact", "description": "Bancontact", "minimumAmount": { "value": "0.02", "currency": "EUR" }, "maximumAmount": { "value": "50000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/bancontact.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/bancontact%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/bancontact.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "eps", "description": "eps", "minimumAmount": { "value": "1.00", "currency": "EUR" }, "maximumAmount": { "value": "50000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/eps.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/eps%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/eps.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "przelewy24", "description": "Przelewy24", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "12815.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/przelewy24.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/przelewy24%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/przelewy24.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "kbc", "description": "KBC/CBC Payment Button", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "50000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/kbc.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/kbc%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/kbc.svg" }, "status": "activated", "issuers": [ { "resource": "issuer", "id": "cbc", "name": "CBC", "image": { "size1x": "https://www.mollie.com/external/icons/kbc-issuers/cbc.png", "size2x": "https://www.mollie.com/external/icons/kbc-issuers/cbc%402x.png", "svg": "https://www.mollie.com/external/icons/kbc-issuers/cbc.svg" } }, { "resource": "issuer", "id": "kbc", "name": "KBC", "image": { "size1x": "https://www.mollie.com/external/icons/kbc-issuers/kbc.png", "size2x": "https://www.mollie.com/external/icons/kbc-issuers/kbc%402x.png", "svg": "https://www.mollie.com/external/icons/kbc-issuers/kbc.svg" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "belfius", "description": "Belfius Pay Button", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "50000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/belfius.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/belfius%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/belfius.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "voucher", "description": "Vouchers", "minimumAmount": { "value": "1.00", "currency": "EUR" }, "maximumAmount": { "value": "100000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/voucher.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/voucher%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/voucher.svg" }, "status": "activated", "issuers": [ { "resource": "issuer", "id": "appetiz", "name": "Appetiz", "image": { "size1x": "https://www.mollie.com/external/icons/voucher-issuers/appetiz.png", "size2x": "https://www.mollie.com/external/icons/voucher-issuers/appetiz%402x.png", "svg": "https://www.mollie.com/external/icons/voucher-issuers/appetiz.svg" } }, { "resource": "issuer", "id": "chequedejeuner", "name": "Chèque Déjeuner", "image": { "size1x": "https://www.mollie.com/external/icons/voucher-issuers/chequedejeuner.png", "size2x": "https://www.mollie.com/external/icons/voucher-issuers/chequedejeuner%402x.png", "svg": "https://www.mollie.com/external/icons/voucher-issuers/chequedejeuner.svg" } }, { "resource": "issuer", "id": "monizze-cadeau", "name": "Monizze Cadeau", "image": { "size1x": "https://www.mollie.com/external/icons/voucher-issuers/monizze-cadeau.png", "size2x": "https://www.mollie.com/external/icons/voucher-issuers/monizze-cadeau%402x.png", "svg": "https://www.mollie.com/external/icons/voucher-issuers/monizze-cadeau.svg" } }, { "resource": "issuer", "id": "monizze-eco", "name": "Monizze Eco", "image": { "size1x": "https://www.mollie.com/external/icons/voucher-issuers/monizze-eco.png", "size2x": "https://www.mollie.com/external/icons/voucher-issuers/monizze-eco%402x.png", "svg": "https://www.mollie.com/external/icons/voucher-issuers/monizze-eco.svg" } }, { "resource": "issuer", "id": "monizze-meal", "name": "Monizze Meal", "image": { "size1x": "https://www.mollie.com/external/icons/voucher-issuers/monizze-meal.png", "size2x": "https://www.mollie.com/external/icons/voucher-issuers/monizze-meal%402x.png", "svg": "https://www.mollie.com/external/icons/voucher-issuers/monizze-meal.svg" } }, { "resource": "issuer", "id": "passrestaurant", "name": "PassRestaurant", "image": { "size1x": "https://www.mollie.com/external/icons/voucher-issuers/passrestaurant.png", "size2x": "https://www.mollie.com/external/icons/voucher-issuers/passrestaurant%402x.png", "svg": "https://www.mollie.com/external/icons/voucher-issuers/passrestaurant.svg" } }, { "resource": "issuer", "id": "sodexo-cadeaupass", "name": "Sodexo Cadeau Pass", "image": { "size1x": "https://www.mollie.com/external/icons/voucher-issuers/sodexo-cadeaupass.png", "size2x": "https://www.mollie.com/external/icons/voucher-issuers/sodexo-cadeaupass%402x.png", "svg": "https://www.mollie.com/external/icons/voucher-issuers/sodexo-cadeaupass.svg" } }, { "resource": "issuer", "id": "sodexo-ecopass", "name": "Sodexo Eco Pass", "image": { "size1x": "https://www.mollie.com/external/icons/voucher-issuers/sodexo-ecopass.png", "size2x": "https://www.mollie.com/external/icons/voucher-issuers/sodexo-ecopass%402x.png", "svg": "https://www.mollie.com/external/icons/voucher-issuers/sodexo-ecopass.svg" } }, { "resource": "issuer", "id": "sodexo-lunchpass", "name": "Sodexo Lunch Pass", "image": { "size1x": "https://www.mollie.com/external/icons/voucher-issuers/sodexo-lunchpass.png", "size2x": "https://www.mollie.com/external/icons/voucher-issuers/sodexo-lunchpass%402x.png", "svg": "https://www.mollie.com/external/icons/voucher-issuers/sodexo-lunchpass.svg" } }, { "resource": "issuer", "id": "swile", "name": "Swile", "image": { "size1x": "https://www.mollie.com/external/icons/voucher-issuers/swile.png", "size2x": "https://www.mollie.com/external/icons/voucher-issuers/swile%402x.png", "svg": "https://www.mollie.com/external/icons/voucher-issuers/swile.svg" } } ], "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "directdebit", "description": "SEPA Direct Debit", "minimumAmount": { "value": "0.01", "currency": "EUR" }, "maximumAmount": { "value": "1000.00", "currency": "EUR" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/directdebit.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/directdebit%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/directdebit.svg" }, "status": "activated", "_links": { "self": { "href": "...", "type": "application/hal+json" } } } ] }, "count": 16, "_links": { "documentation": { "href": "...", "type": "text/html" }, "self": { "href": "...", "type": "application/hal+json" } } } }, "list-all-methods-200-4": { "summary": "List available methods for 25 GBP first payments", "x-request": "./requests.yaml#/api-lisv-available-methods-for-25-gbp-first-payments", "value": { "_embedded": { "methods": [ { "resource": "method", "id": "applepay", "description": "Apple Pay", "minimumAmount": { "value": "0.01", "currency": "GBP" }, "maximumAmount": { "value": "1739.50", "currency": "GBP" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/applepay.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/applepay%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/applepay.svg" }, "status": "pending-boarding", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "creditcard", "description": "Credit card", "minimumAmount": { "value": "0.00", "currency": "GBP" }, "maximumAmount": { "value": "1739.50", "currency": "GBP" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/creditcard.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/creditcard%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/creditcard.svg" }, "status": "pending-boarding", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "paypal", "description": "PayPal", "minimumAmount": { "value": "0.00", "currency": "GBP" }, "maximumAmount": null, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/paypal.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/paypal%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/paypal.svg" }, "status": "pending-boarding", "_links": { "self": { "href": "...", "type": "application/hal+json" } } }, { "resource": "method", "id": "banktransfer", "description": "Bank transfer", "minimumAmount": { "value": "0.01", "currency": "GBP" }, "maximumAmount": { "value": "1000000.00", "currency": "GBP" }, "image": { "size1x": "https://www.mollie.com/external/icons/payment-methods/banktransfer.png", "size2x": "https://www.mollie.com/external/icons/payment-methods/banktransfer%402x.png", "svg": "https://www.mollie.com/external/icons/payment-methods/banktransfer.svg" }, "status": "pending-boarding", "_links": { "self": { "href": "...", "type": "application/hal+json" } } } ] }, "count": 4, "_links": { "documentation": { "href": "...", "type": "text/html" }, "self": { "href": "...", "type": "application/hal+json" } } } } } } } }, "400": { "description": "The request contains issues. For example, if the specified `locale` value is invalid.", "content": { "application/hal+json": { "schema": { "type": "object", "description": "An error response object.", "required": [ "status", "title", "detail", "_links" ], "properties": { "status": { "type": "integer", "description": "The status code of the error message. This is always the same code as the status code of the HTTP message itself.", "minimum": 400, "maximum": 599, "example": 404 }, "title": { "type": "string", "description": "The HTTP reason phrase of the error. For example, for a `404` error, the `title` will be `Not Found`.", "example": "Not Found" }, "detail": { "type": "string", "description": "A detailed human-readable description of the error that occurred.", "example": "The resource does not exist" }, "field": { "type": "string", "description": "If the error was caused by a value provided by you in a specific field, the `field` property will contain the name of the field that caused the issue.", "example": "description" }, "_links": { "type": "object", "required": [ "documentation" ], "properties": { "documentation": { "type": "object", "description": "The URL to the generic Mollie API error handling guide.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "example": "https://docs.mollie.com/errors" }, "type": { "type": "string", "example": "text/html" } } } } } } }, "example": { "status": 400, "title": "Bad Request", "detail": "The locale is invalid", "field": "locale", "_links": { "documentation": { "href": "...", "type": "text/html" } } } } } } }, "x-readme": { "code-samples": [ { "language": "shell", "code": "curl -X GET https://api.mollie.com/v2/methods/all \\\n -H \"Authorization: Bearer live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM\"" }, { "language": "php", "code": "setApiKey(\"live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM\");\n\n$methods = $mollie->send(new GetAllMethodsRequest());", "install": "composer require mollie/mollie-api-php" }, { "language": "node", "code": "/*\nWe don't have a Node.js code example for this\nAPI call yet.\n\nIf you have some time to spare, feel free to\nshare suggestions on our Discord:\nhttps://discord.gg/VaTVkXB4aQ\n*/", "install": "npm install @mollie/api-client" }, { "language": "python", "code": "from mollie.api.client import Client\n\nmollie_client = Client()\nmollie_client.set_api_key(\"live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM\")\n\nmethods = mollie_client.methods.all()", "install": "pip install mollie-api-python" }, { "language": "ruby", "code": "require 'mollie-api-ruby'\n\nMollie::Client.configure do |config|\n config.api_key = 'live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM'\nend\n\nmethods = Mollie::Method.all_available", "install": "gem install mollie-api-ruby" } ] } } } }, "components": { "securitySchemes": { "apiKey": { "type": "http", "scheme": "bearer", "x-default": "live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "organizationAccessToken": { "type": "http", "scheme": "bearer", "x-default": "access_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "oAuth": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://my.mollie.com/oauth2/authorize", "tokenUrl": "https://api.mollie.com/oauth2/tokens", "scopes": {} } } } } }, "x-readme": { "explorer-enabled": false, "samples-languages": [ "shell", "php", "node", "python", "ruby" ] } } ```